with Ada.Containers.Indefinite_Ordered_Maps;
pragma Elaborate_All (Ada.Containers.Indefinite_Ordered_Maps);

with Ada.Strings.Less_Case_Insensitive;

package Wordcount_Maps is
   new Ada.Containers.Indefinite_Ordered_Maps
     (Key_Type        => String,
      Element_Type    => Natural,
      "<"             => Ada.Strings.Less_Case_Insensitive);

pragma Preelaborate (Wordcount_Maps);
